import generateRules, { getLength } from "./src/rules";
import fs from "fs";
import { v } from "./src/util";

const constValues: number[] = [];
const rules = generateRules(constValues);

const output = fs.createWriteStream("output.cnf");
output.write(`p cnf ${v(9, 9, 9)} ${getLength(constValues)}\n`);

for (const rule of rules) {
  output.write(rule + "\n");
}

output.end();
